summaryrefslogtreecommitdiffstats
path: root/scripts
diff options
context:
space:
mode:
authorMatthias Beyer <mail@beyermatthias.de>2018-04-12 11:05:34 +0200
committerMatthias Beyer <mail@beyermatthias.de>2018-04-14 00:46:06 +0200
commit815052b1f75e3d8c2855f12a41c14643532c3502 (patch)
treead0087b6cd13a9007fae36e776a2129135a5ddb7 /scripts
parent26e7f2cdba07e7966717cce9a7d4447ecec64e80 (diff)
Only build doc(sets) for lib crates
Diffstat (limited to 'scripts')
-rw-r--r--scripts/mkdocset2
1 files changed, 1 insertions, 1 deletions
diff --git a/scripts/mkdocset b/scripts/mkdocset
index c1e9fc34..95cccc9f 100644
--- a/scripts/mkdocset
+++ b/scripts/mkdocset
@@ -6,7 +6,7 @@ CARGO=$(which cargo || exit 1)
RSDOCSDASHING=$(which rsdocs-dashing || exit 1)
DASHING=$(which dashing || exit 1)
-$CARGO doc --all || exit 1
+find lib -name "Cargo.toml" -exec $CARGO doc --manifest-path {} \; || exit 1
ls target/doc | grep imag | while read pkg; do
$RSDOCSDASHING target/doc/$pkg docset-$pkg